@base <https://purl.org/coscine/ap/qudt/quantitykind/CyclotronAngularFrequency/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/CyclotronAngularFrequency/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Larmor Angular Frequency sind."@de,
    "Profile for all units that are a/an Larmor Angular Frequency."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Larmor Angular Frequency"@de,
    "Unit: Larmor Angular Frequency"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:DEG-PER-HR unit:DEG-PER-MIN unit:DEG-PER-SEC unit:PlanckFrequency_Ang unit:RAD-PER-HR unit:RAD-PER-MIN unit:RAD-PER-SEC unit:REV-PER-HR unit:REV-PER-MIN unit:REV-PER-SEC ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:DEG-PER-HR rdfs:label "Degree Per Hour"@en .
unit:DEG-PER-MIN rdfs:label "Degree Per Minute"@en .
unit:DEG-PER-SEC rdfs:label "Degree Per Second"@en .
unit:PlanckFrequency_Ang rdfs:label "Planck Angular Frequency"@en .
unit:RAD-PER-HR rdfs:label "Radian Per Hour"@en .
unit:RAD-PER-MIN rdfs:label "Radian Per Minute"@en .
unit:RAD-PER-SEC rdfs:label "Radian Je Sekunde"@de, "Radian Na Sekundo"@sl, "Radian Na Sekundę"@pl, "Radian Par Seconde"@fr, "Radian Pe Secundă"@ro, "Radian Per Saat"@ms, "Radian Per Second"@en, "Radiano Por Segundo"@pt, "Radiante Al Secondo"@it, "Radián Por Segundo"@es, "Radián Za Sekundu"@cs, "Radyan Bölü Saniye"@tr, "Радиан В Секунду"@ru, "راديان في الثانية"@ar, "رادیان بر ثانیه"@fa, "वर्ग मीटर प्रति सैकिण्ड"@hi, "ラジアン毎秒"@ja, "弧度每秒"@zh .
unit:REV-PER-HR rdfs:label "Revolution Per Hour"@en .
unit:REV-PER-MIN rdfs:label "Revolution Per Minute"@en .
unit:REV-PER-SEC rdfs:label "Revolution Per Second"@en .
